## freeradius-wpe 3.2.3+dfsg

=== Makefile ===
#
#  Makefile
#
#		NOTE: This top-level Makefile must not
#		use GNU-make extensions. The lower ones can.
#
#  Version:	$Id: 60e183c3841911f148aeb6e5e42cb87551b906b0 $
#

#
#  If we didn't call ./configure just define the version.
#
RADIUSD_VERSION_STRING := $(shell cat VERSION)

#
#  The default rule is "all".
#
all:

#
#  Catch people who try to use BSD make
#
ifeq "0" "1"
.error GNU Make is required to build FreeRADIUS
endif

#
#  We require Make.inc, UNLESS the target is "make deb"
#
#  Since "make deb" re-runs configure... there's no point in
#  requiring the developer to run configure *before* making
#  the debian packages.
#
ifneq "$(MAKECMDGOALS)" "deb"
ifneq "$(MAKECMDGOALS)" "rpm"
ifeq "$(findstring docker,$(MAKECMDGOALS))" ""
ifeq "$(findstring crossbuild,$(MAKECMDGOALS))" ""
$(if $(wildcard Make.inc),,$(error Missing 'Make.inc' Run './configure [options]' and retry))

include Make.inc
endif
endif
endif
endif

MFLAGS += --no-print-directory

#
#  The version of GNU Make is too old, don't use it (.FEATURES
#  variable was added in 3.81)
#
ifndef .FEATURES
$(error The build system requires GNU Make 3.81 or later.)
endif

export DESTDIR := $(R)

#
#  And over-ride all of the other magic.
#
ifneq "$(MAKECMDGOALS)" "deb"
ifneq "$(MAKECMDGOALS)" "rpm"
ifeq "$(findstring docker,$(MAKECMDGOALS))" ""
ifeq "$(findstring crossbuild,$(MAKECMDGOALS))" ""
include scripts/boiler.mk
endif
endif
endif
endif

#
#  To work around OpenSSL issues within CI.
#
.PHONY:
raddb/test.conf:
	@echo 'security {' >> $@
	@echo '        allow_vulnerable_openssl = yes' >> $@
	@echo '}' >> $@
	@echo '$$INCLUDE radiusd.conf' >> $@

#
#  Run "radiusd -C", looking for errors.
#
#  Only redirect STDOUT, which should contain details of why the test failed.
#  Don't molest STDERR as this may be used to receive output from a debugger.
#
$(BUILD_DIR)/tests/radiusd-c: raddb/test.conf ${BUILD_DIR}/bin/radiusd | build.raddb
	${Q}$(MAKE) -C raddb/certs
	${Q}printf "radiusd -C... "
	${Q}if ! $(TESTBIN)/radiusd -XCMd ./raddb -D ./share -n test > $(BUILD_DIR)/tests/radiusd.config.log; then \
		rm -f raddb/test.conf; \
		cat $(BUILD_DIR)/tests/radiusd.config.log; \
		echo "fail"; \
		exit 1; \
	fi
	${Q}rm -f raddb/test.conf
	${Q}echo "ok"
	${Q}touch $@

test: ${BUILD_DIR}/bin/radiusd ${BUILD_DIR}/bin/radclient tests.unit tests.xlat tests.keywords tests.modules tests.auth test.sql_nas_table $(BUILD_DIR)/tests/radiusd-c | build.raddb
	${Q}$(MAKE) -C src/tests tests

#
#  Tests specifically for CI. We do a LOT more than just
#  the above tests
#
ci-test: raddb/test.conf test
	${Q}$(TESTBIN)/radiusd -xxxv -n test
	${Q}rm -f raddb/test.conf
	${Q}$(MAKE) install
	${Q}perl -p -i -e 's/allow_vulnerable_openssl = no/allow_vulnerable_openssl = yes/' ${raddbdir}/radiusd.conf
	${Q}sh ${HOME}/freeradius/etc/raddb/certs
	${Q}${sbindir}/radiusd -XC

#
#  The $(R) is a magic variable not defined anywhere in this source.
#  It's purpose is to allow an admin to create an installation 'tar'
#  file *without* actually installing it.  e.g.:
#
#  $ R=/home/root/tmp make install
#  $ cd /home/root/tmp
#  $ tar -cf ~/freeradius-package.tar *
#
#  The 'tar' file can then be un-tar'd on any similar machine.  It's a
#  cheap way of creating packages, without using a package manager.
#  Many of the platform-specific packaging tools use the $(R) variable
#  when creating their packages.
#
#  For compatibility with typical GNU packages (e.g. as seen in libltdl),
#  we make sure DESTDIR is defined.
#
export DESTDIR := $(R)

DICTIONARIES := $(wildcard share/dictionary*)
install.share: $(addprefix $(R)$(dictdir)/,$(notdir $(DICTIONARIES)))

.PHONY: dictionary.format
dictionary.format: $(DICTIONARIES)
	${Q}./share/format.pl $(DICTIONARIES)

$(R)$(dictdir)/%: share/%
	@echo INSTALL $(notdir $<)
	${Q}$(INSTALL) -m 644 $< $@

MANFILES := $(wildcard man/man*/*.?)
MANDIR   := $(wildcard man/man*)
install.man: $(subst man/,$(R)$(mandir)/,$(MANFILES))

$(MANDIR):
	${Q}echo INSTALL $(patsubst $(R)$(mandir)/%,man/%,$@)
	${Q}$(INSTALL) -d -m 755 $@

$(R)$(mandir)/%: man/% | $(dir $@)
	${Q}echo INSTALL $(notdir $<)
	${Q}sed -e "s,/etc/raddb,$(raddbdir),g" \
		-e "s,/usr/local/share,$(datarootdir),g" \
		$< > $<.subst
	${Q}$(INSTALL) -m 644 $<.subst $@
	${Q}rm $<.subst

#
#  Don't install rlm_test
#
ALL_INSTALL := $(patsubst %rlm_test.la,,$(ALL_INSTALL))

install: install.share install.man
	${Q}$(INSTALL) -d -m 700	$(R)$(logdir)
	${Q}$(INSTALL) -d -m 700	$(R)$(radacctdir)

ifneq ($(RADMIN),)
ifneq ($(RGROUP),)
.PHONY: install-chown
install-chown:
	chown -R $(RADMIN)   $(R)$(raddbdir)
	chgrp -R $(RGROUP)   $(R)$(raddbdir)
	chmod u=rwx,g=rx,o=  `find $(R)$(raddbdir) -type d -print`
	chmod u=rw,g=r,o=    `find $(R)$(raddbdir) -type f -print`
	chown -R $(RADMIN)   $(R)$(logdir)
	chgrp -R $(RGROUP)   $(R)$(logdir)
	find $(R)$(logdir) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(logdir) -type d -exec chmod g+s {} \;
	find $(R)$(logdir) -type f -exec chmod u=rw,g=rw,o= {} \;
	chown -R $(RADMIN)   $(R)$(RUNDIR)
	chgrp -R $(RGROUP)   $(R)$(RUNDIR)
	find $(R)$(RUNDIR) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(RUNDIR) -type d -exec chmod g+s {} \;
	find $(R)$(RUNDIR) -type f -exec chmod u=rw,g=rw,o= {} \;
endif
endif

distclean: clean
	@-find src/modules -regex .\*/config[.][^.]*\$$ -delete
	@-find src/modules -name autom4te.cache -exec rm -rf '{}' \;
	@rm -rf config.cache config.log config.status libtool \
		src/include/radpaths.h src/include/stamp-h \
		libltdl/config.log libltdl/config.status \
		libltdl/libtool autom4te.cache build
	@-find . ! -name configure.ac -name \*.in -print | \
		sed 's/\.in$$//' | \
		while read file; do rm -f $$file; done

######################################################################
#
#  Automatic remaking rules suggested by info:autoconf#Automatic_Remaking
#
######################################################################
#
#  Do these checks ONLY if we're re-building the "configure"
#  scripts, and ONLY the "configure" scripts.  If we leave
#  these rules enabled by default, then they're run too often.
#
ifeq "$(MAKECMDGOALS)" "reconfig"

CONFIGURE_AC_FILES := $(shell find . -name configure.ac -print)
CONFIGURE_FILES	   := $(patsubst %.ac,%,$(CONFIGURE_AC_FILES))

#
#  The GNU tools make autoconf=="missing autoconf", which then returns
#  0, even when autoconf doesn't exist.  This check is to ensure that
#  we run AUTOCONF only when it exists.
#
AUTOCONF_EXISTS := $(shell autoconf --version 2>/dev/null)

ifeq "$(AUTOCONF_EXISTS)" ""
$(error You need to install autoconf to re-build the "configure" scripts)
endif

#  Configure files depend on ".ac" files, and on the top-level macro files
#  If there are headers, run auto-header, too.
src/%configure: src/%configure.ac acinclude.m4 aclocal.m4 $(wildcard $(dir $@)m4/*m4) | src/freeradius-devel
	@echo AUTOCONF $(dir $@)
	${Q}cd $(dir $@) && \
		$(ACLOCAL) --force -I $(top_builddir) -I $(top_builddir)/m4 && \
		$(AUTOCONF) --force
	${Q}if grep AC_CONFIG_HEADERS $@ >/dev/null; then\
		echo AUTOHEADER $@ \
		cd $(dir $@) && $(AUTOHEADER) --force; \
	 fi

#  "%configure" doesn't match "configure"
configure: configure.ac $(wildcard ac*.m4) $(wildcard m4/*.m4)
	@echo AUTOCONF $@
	@$(ACLOCAL) --force
	@$(AUTOCONF) --force

src/include/autoconf.h.in: configure.ac
	@echo AUTOHEADER $@
	@$(AUTOHEADER) --force

reconfig: $(CONFIGURE_FILES) src/include/autoconf.h.in

config.status: configure
	./config.status --recheck

#  target is "reconfig"
endif

#
#  If we've already run configure, then add rules which cause the
#  module-specific "all.mk" files to depend on the mk.in files, and on
#  the configure script.
#
ifneq "$(wildcard config.log)" ""
CONFIGURE_ARGS	   := $(shell head -10 config.log | grep '^  \$$' | sed 's/^....//;s:.*configure ::')

src/%all.mk: src/%all.mk.in src/%configure
	${Q}echo CONFIGURE $(dir $@)
	${Q}rm -f ./config.cache $(dir $<)/config.cache
	${Q}cd $(dir $<) && ./configure $(CONFIGURE_ARGS) && touch $(notdir $@)
endif

.PHONY: check-includes
check-includes:
	scripts/min-includes.pl `find . -name "*.c" -print`

.PHONY: TAGS
TAGS:
	etags `find src -type f -name '*.[ch]' -print` > $@

#
#  Make test certificates.
#
.PHONY: certs
certs:
	${Q}$(MAKE) -C raddb/certs

######################################################################
#
#  Make a release.
#
#  Note that "Make.inc" has to be updated with the release number
#  BEFORE running this command!
#
######################################################################
BRANCH = $(shell git rev-parse --abbrev-ref HEAD)

freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz: .git/HEAD
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION_STRING)/ $(BRANCH) | gzip > $@

freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2: .git/HEAD
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION_STRING)/ $(BRANCH) | bzip2 > $@

%.sig: %
	gpg --default-key packages@freeradius.org -b $<

#
#  High-level targets
#
.PHONY: dist-check
dist-check: redhat/freeradius.spec suse/freeradius.spec debian/changelog
	${Q}if [ `grep ^Version: redhat/freeradius.spec | sed 's/.*://;s/ //g'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		cat redhat/freeradius.spec | sed 's/^Version:.*/Version: $(RADIUSD_VERSION_STRING)/' > redhat/.foo; \
		mv redhat/.foo redhat/freeradius.spec; \
		echo redhat/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	${Q}if [ `grep ^Version: suse/freeradius.spec | sed 's/.*://;s/ //g'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		cat suse/freeradius.spec | sed 's/^Version: .*/Version:      $(RADIUSD_VERSION_STRING)/' > suse/.foo; \
		mv suse/.foo suse/freeradius.spec; \
		echo suse/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	${Q}if [ `head -n 1 doc/ChangeLog | awk '/^FreeRADIUS/{print $$2}'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		echo doc/ChangeLog needs to be updated; \
		exit 1; \
	fi
	${Q}if [ `head -n 1 debian/changelog | sed 's/.*(//;s/-0).*//;s/-1).*//;s/\+.*//'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		echo debian/changelog needs to be updated; \
		exit 1; \
	fi
	${Q}if [ `grep version doc/antora/antora.yml | sed 's/^.*version: //'` != "'$(RADIUSD_VERSION_STRING)'" ]; then \
		echo doc/antora/antora.yml needs to be updated with: version '$(RADIUSD_VERSION_STRING)'; \
		exit 1; \
	fi

dist: dist-check freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2

dist-sign: dist-check freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2.sig

dist-publish: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2 freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2.sig
	scp $^ freeradius.org@ftp.freeradius.org:public_ftp

#
#  Note that we do NOT do the tagging here!  We just print out what
#  to do!
#
dist-tag: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
	${Q}echo "git tag release_`echo $(RADIUSD_VERSION_STRING) | tr .- __`"

#
#  Docker-related targets (main Docker images and crossbuild)
#
ifneq "$(findstring docker,$(MAKECMDGOALS))" ""
include scripts/docker/docker.mk
endif

ifneq "$(findstring crossbuild,$(MAKECMDGOALS))" ""
include scripts/crossbuild/crossbuild.mk
endif

#
#  Build a Debian package
#
DEBBUILDEXTRA = --jobs=auto
.PHONY: deb
deb:
	fakeroot debian/rules debian/control #clean
	fakeroot dpkg-buildpackage $(DEBBUILDEXTRA) -b -uc

#
#  Build an RPM package
#
.PHONY: rpm
rpmbuild/SOURCES/freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2: freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
	${Q}mkdir -p $(addprefix rpmbuild/,SOURCES SPECS BUILD RPMS SRPMS BUILDROOT)

=== debian/changelog ===
freeradius-wpe (3.2.3+dfsg-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:14:50 +0200

freeradius-wpe (3.2.3+dfsg-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Update d/watch to use https and not ftp

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Jul 2023 18:36:06 +0200

freeradius-wpe (3.2.3+dfsg-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.3+dfsg
  * Sync with Debian
  * Refresh patches
  * Use debhelper-compat 13
  * Remove useless dep on obsolete package lsb-base
  * Update lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Jul 2023 18:01:27 +0200

freeradius-wpe (3.2.0+dfsg-0kali2) kali-dev; urgency=medium

  * Fix installation
  * Adapt autopkgtest for freeradius-wpe
  * Add user freerad-wpe

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 27 Jun 2022 18:29:17 +0200

freeradius-wpe (3.2.0+dfsg-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Switch debian/control ordering
  * Add XSBC-Original-Maintainer
  * Update email address
  * Remove template comment and switch spaces to tabs

  [ Arnaud Rebillout ]
  * Revert whitespace and indent changes
  * Add XSBC-Original-Maintainer and XS-Debian-Vcs-*

  [ Sophie Brun ]
  * Import Upstream version 3.2.0+dfsg
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Jun 2022 17:23:13 +0200

freeradius-wpe (3.0.23+dfsg-0kali1) kali-dev; urgency=medium

  * Update email
  * Bump Standards-Version to 4.5.1
  * Use version=4 in debian/watch
  * Fix lintian errors
  * Fix debian/watch syntax
  * New upstream version 3.0.23+dfsg
  * Refresh patches
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Aug 2021 16:56:54 +0200

freeradius (3.0.21+dfsg-3) unstable; urgency=medium

  * Acknowledge NMUs, thanks
  * Cherry-Pick upstream fix for a crash bug (Closes: #992036)
  * Cherry-Pick upstream fix to add missing continuation in postgresql
    sample config (Closes: #992207)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 23 Aug 2021 15:49:43 +0200

freeradius (3.0.21+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't fail postinst if daemon is not running (Closes: #991561, #932113)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Jul 2021 12:28:32 +0200

freeradius (3.0.21+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix capabilities in service file.
    As freeradius is not run as root we need to request extra capabilities
    wiht AmbientCapabilities instead of limiting the set with
    CapabilityBoundingSet. (Closes: #985967)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Jul 2021 13:19:03 +0200

freeradius (3.0.21+dfsg-2) unstable; urgency=medium

  * Cherry-Pick upstream fixes to build with Python3.8 (Closes: #966860)
  * Drop migration code for versions earlier than oldstable (Squeeze)
  * Temporarily collectd integration (again) due to RC bugs
  * Bump to debhelper compat 10

 -- Bernhard Schmidt <berni@debian.org>  Mon, 24 Aug 2020 10:46:49 +0200

freeradius-wpe (3.0.21+dfsg-0kali1) kali-dev; urgency=medium

  * Import Upstream version 3.0.21+dfsg
  * Switch to Python 3 (sync with Debian package freeradius)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 06 Apr 2020 17:31:32 +0200

freeradius-wpe (3.0.20+dfsg-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.20+dfsg
  * Update the freeradius-wpe.patch (see 5808)
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Nov 2019 12:04:54 +0100

freeradius-wpe (3.0.19+dfsg-0kali4) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Add missing depends required by postinst
  * Remove collectd from build-deps (removed from kali-rolling and
    unmaintained)
  * Bump Standards-Version to 4.4.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 03 Oct 2019 09:43:55 +0200

freeradius-wpe (3.0.19+dfsg-0kali3) kali-dev; urgency=medium

  * Update Uploader and Maintainer fields
  * Update Vcs-Git and Vcs-Browser

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 19 Apr 2019 09:37:01 +0200

freeradius-wpe (3.0.19+dfsg-0kali2) kali-dev; urgency=medium

  * Add missing -latomic for armel build

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 18 Apr 2019 14:57:09 +0200

freeradius-wpe (3.0.19+dfsg-0kali1) kali-dev; urgency=medium

  * Import new upstream release 3.0.19 of freeradius
  * Import new patch freeradius-wpe (closes 5392)
  * Update debian/copyright
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 12 Apr 2019 11:40:10 +0200

freeradius-wpe (3.0.17+dfsg-0kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Import new upstream release 3.0.17 of freeradius
  * Update debian/control (add missing build-depends) and
    debian/freeradius-wpe.install for new version
  * Update patch wpe from https://github.com/aircrack-ng (closes: 4713)
  * Remove dh_missing --fail-missing in debian/rules
  * Remove /var/log/freeradius-wpe when purging the package
  * /etc/freeradius-wpe/3.0/sites-enabled/default and
    /etc/freeradius-wpe/3.0/sites-enabled/inner-tunnel were installed by the
    package (and not by postinst): now really installed with postinst

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 03 May 2018 13:46:45 +0200

freeradius (3.0.16+dfsg-3) unstable; urgency=medium

  * Change default /etc/freeradius permission from 2751 to 2750 (Closes: #890933)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 20 Mar 2018 07:52:46 +0100

freeradius (3.0.16+dfsg-2) unstable; urgency=medium

  * Remove sites-enabled/* from freeradius-config (Closes: #889593)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 25 Feb 2018 16:25:54 +0100

freeradius (3.0.16+dfsg-1) unstable; urgency=medium



=== debian/control ===
Source: freeradius-wpe
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libgdbm-dev,
 libjson-c-dev,
 libpam0g-dev,
 libpcap-dev,
 libperl-dev,
 default-libmysqlclient-dev | libmysqlclient-dev,
 freetds-dev,
 libpq-dev,
 libreadline-dev,
 libsqlite3-dev,
 libssl-dev,
 libsasl2-dev,
 libsystemd-dev,
 libtalloc-dev,
 libwbclient-dev,
 libykclient-dev,
 libyubikey-dev,
 libiodbc2-dev,
 libmemcached-dev,
 libhiredis-dev,
 libkrb5-dev | heimdal-dev,
 libldap2-dev,
 python3-dev,
 samba-dev | samba4-dev,
# Temporarily disable due to collectd RC bugs
# libcollectdclient-dev,
 snmp,
 dh-autoreconf,
 freetds-dev
Section: net
Priority: optional
XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
Standards-Version: 4.6.1
Homepage: https://www.freeradius.org/
XS-Debian-Vcs-Git: https://salsa.debian.org/debian/freeradius.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/freeradius

Package: freeradius-wpe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends},
 ssl-cert, python3
Description: FreeRadius Wireless Pawn Edition
 This package is FreeRadius Wireless Pawn Edition.
 There are supported and tested EAP Types/Inner Authentication Methods (others
 may also work):
   * PEAP/PAP (OTP)
   * PEAP/MSCHAPv2
   * EAP-TTLS/PAP (includes OTPs)
   * EAP-TTLS/MSCHAPv1
   * EAP-TTLS/MSCHAPv2
   * EAP-MD5

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Add -latomic for armel: build failed with
# /usr/bin/ld: build/lib/.libs/libfreeradius-radius.so: undefined
# reference to `__atomic_compare_exchange_8' ...
ifeq ($(DEB_HOST_ARCH),armel)
export DEB_LDFLAGS_MAINT_APPEND = -latomic
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       MAKEFLAGS += -j$(NUMJOBS)
endif

override_dh_auto_clean:
	[ ! -f Make.inc ] || dh_auto_clean

override_dh_auto_build:
	# dh_auto_install does both, compilation and installation.

override_dh_auto_install:
	VERBOSE=1 $(MAKE) install R=debian/tmp PACKAGE='debian'

override_dh_auto_test:
	# TODO: enable testing

override_dh_install:
	mv debian/tmp/usr/sbin/radiusd debian/tmp/usr/sbin/freeradius-wpe
#	mv debian/tmp/usr/share/man/man8/radiusd.8 debian/tmp/usr/share/man/man8/freeradius.8
	# Not installed as we do not install the dhcpclient binary as per
	# https://github.com/FreeRADIUS/freeradius-server/issues/1734#issuecomment-247848277
#	rm debian/tmp/usr/share/man/man1/dhcpclient.1
	# Remove all libtool .la files, as per
	# https://wiki.debian.org/ReleaseGoals/LAFileRemoval
	find debian/tmp/usr/lib/freeradius-wpe -name "*.la" -delete
	# Remove all plugin .a files (unnecessary), keep libfreeradius .a files
	# for end-users who want to statically link against libfreeradius.
	find debian/tmp/usr/lib/freeradius-wpe -name "*.a" -and \! -name "libfreeradius-*.a" -delete
	# We create the mods-enabled links in freeradius-config.postinst so
	# that they are not re-created when users upgrade to a newer version.
	rm debian/tmp/etc/freeradius-wpe/3.0/mods-enabled/*
	rm debian/tmp/etc/freeradius-wpe/3.0/sites-enabled/*
	dh_install

override_dh_installpam:
	dh_installpam --name=radiusd

override_dh_installinit:
	dh_installinit --noscripts

override_dh_compress:
	dh_compress -Xexamples

override_dh_installdocs:
	dh_installdocs -Xdebian/tmp/usr/share/doc/freeradius/ChangeLog

override_dh_strip:
	dh_strip --dbgsym-migration='freeradius-dbg (<< 3.0.11-1~)'

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

override_dh_auto_configure:
	dh_auto_configure -- $(confflags) \
		--config-cache \
		--disable-developer \
		--disable-openssl-version-check \
		--exec-prefix=/usr \
		--libdir=/usr/lib/freeradius-wpe \
		--datadir=/usr/share \
		--with-raddbdir=/etc/freeradius-wpe/3.0 \
		--with-logdir=/var/log/freeradius-wpe \
		--with-dictdir=/usr/share/freeradius-wpe/dictionary \
		--with-large-files \
                --with-udpfromto \
                --without-rlm_eap_tnc \
                --with-rlm_sql_postgresql_lib_dir=`pg_config --libdir` \
                --with-rlm_sql_postgresql_include_dir=`pg_config --includedir` \
                --with-iodbc-include-dir='/usr/include/iodbc' \
                --with-modules=rlm_python3 \
                --without-rlm_eap_ikev2 \
                --without-rlm_sql_oracle \
                --without-rlm_sql_unixodbc \
                --with-systemd

override_dh_missing:
	# we don't want to install all the files, just specific files for
	# freeradius-wpe
	dh_missing --list-missing

%:
	dh $@

=== debian/watch ===
version=4

opts="pasv,\
    pgpsigurlmangle=s/$/.sig/,\
    repacksuffix=+dfsg,\
    dversionmangle=s/\+(git$|dfsg)//,\
    uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
  https://freeradius.org/ftp/pub/freeradius/freeradius-server-(.+)\.tar\.gz

## freeradius-wpe 3.2.5+dfsg

=== debian/changelog ===
freeradius-wpe (3.2.5+dfsg-3kali1) kali-dev; urgency=medium

  * Sync with Debian (3.2.5+dfsg-3)
  * Refresh patches
  * Update freeradius-wpe patch

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Mar 2025 15:14:22 +0100

freeradius (3.2.5+dfsg-3) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Cherry-Pick from upstream: Replace radsecret with shell script to avoid
    dependency on extra perl modules (Closes: #1076458)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 17 Jul 2024 22:44:55 +0200

freeradius (3.2.5+dfsg-2) unstable; urgency=medium

  * Fix parallel builds
  * Fix python3 autopkgtest
  * freeradius-utils: add perl modules needed for radsecret, run radsecret
    in autopkgtest instead of radlast (which needs wtmp)
  * d/freeradius.service: Use MemoryMax= instead of MemoryLimit=
    (Closes: #1072253)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 10 Jul 2024 22:45:00 +0200

freeradius (3.2.5+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.5+dfsg
    This release adds a few hardening mitigations for the BlastRADIUS protocol
    vulnerability (CVE-2024-3596).
    - add new radsecret binary
    - add new rlm_dpsk and rlm_eap_teap modules
  * d/watch: Limit to 3.2 series

 -- Bernhard Schmidt <berni@debian.org>  Tue, 09 Jul 2024 23:31:16 +0200

freeradius-wpe (3.2.3+dfsg3-0kali1) kali-dev; urgency=medium

  * Bump repack suffix, and filter out .gitattributes
  * New upstream version 3.2.3+dfsg3

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 26 Sep 2023 08:47:08 +0700

freeradius-wpe (3.2.3+dfsg2-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * New upstream version 3.2.3+dfsg

  [ Steev Klimaszewski ]
  * Bump repack suffix
  * New upstream version 3.2.3+dfsg2

 -- Steev Klimaszewski <steev@kali.org>  Mon, 25 Sep 2023 10:30:49 -0500

freeradius (3.2.3+dfsg-2) unstable; urgency=medium

  * Don't build against libpcre3 (Closes: #1000031)
    FreeRADIUS will use Posix regular expressions

 -- Bernhard Schmidt <berni@debian.org>  Sun, 02 Jul 2023 22:23:21 +0200

freeradius (3.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.3+dfsg (Closes: #1032572)
    - Drop patches applied upstream
    - d/freeradius-redis.install: Include new rlm_cache_redis module
    - Unfuzz d/p/snakeoil-certs.diff
  * Bump Standards-Version, no changes necessary
  * Drop obsolete lsb-base dependency

 -- Bernhard Schmidt <berni@debian.org>  Fri, 23 Jun 2023 20:20:19 +0200

freeradius (3.2.1+dfsg-4) unstable; urgency=medium

  * Don't install symlink for cache_eap module no longer shipped
    (Closes: #1035853)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 16 May 2023 00:04:23 +0200

freeradius (3.2.1+dfsg-3) unstable; urgency=medium

  * Cherry-pick upstream patch to fix partical CA support (Closes: #1032590)

 -- Bernhard Schmidt <berni@debian.org>  Fri, 10 Mar 2023 08:53:27 +0100

freeradius (3.2.1+dfsg-2) unstable; urgency=medium

  * Cherry-pick upstream fix for EAP-TTLS-MSCHAPv2 with TLSv1.3
    (Closes: #919234)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 07 Mar 2023 22:51:06 +0100

freeradius (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.1+dfsg (Closes: #1025426)
  * Drop d/p/mkdirp.diff, fixed upstream
  * Drop d/p/python_config_script_update.diff, fixed upstream
  * Refresh patch
  * Fix lintian overrides
  * Bump debhelper to version 13, drop old dbgsym migration

 -- Bernhard Schmidt <berni@debian.org>  Wed, 28 Dec 2022 00:10:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,4 @@
 Source: freeradius-wpe
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends: debhelper-compat (= 13),
  libcurl4-openssl-dev | libcurl4-gnutls-dev,
  libgdbm-dev,
@@ -35,10 +33,15 @@
 Section: net
 Priority: optional
 XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
-Standards-Version: 4.6.1
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
+Standards-Version: 4.6.2
 Homepage: https://www.freeradius.org/
 XS-Debian-Vcs-Git: https://salsa.debian.org/debian/freeradius.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/freeradius
+Vcs-Git: https://gitlab.com/kalilinux/packages/freeradius-wpe.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/freeradius-wpe
+
 
 Package: freeradius-wpe
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -58,9 +58,6 @@
 override_dh_installdocs:
 	dh_installdocs -Xdebian/tmp/usr/share/doc/freeradius/ChangeLog
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='freeradius-dbg (<< 3.0.11-1~)'
-
 override_dh_gencontrol:
 	dh_gencontrol -- $(SUBSTVARS)

=== debian/tests/control ===
Test-Command: freeradius-wpe -h 
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=4

opts=pasv,\
pgpsigurlmangle=s/$/.sig/,\
repacksuffix=+dfsg,\
dversionmangle=s/\+(git$|dfsg)//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/\
  ftp://ftp.freeradius.org/pub/freeradius/freeradius-server-(3\.2\..+)\.tar\.gz
